import { createSubscribe } from 'applet-page-component';
import { getRemind } from '../utils/service';
Component(createSubscribe({
  onShow() {
    this.getRemindInfo();
  }

})({
  props: {
    show: false,
    componentData: {}
  },
  data: {
    remindInfo: null
  },

  didMount() {
    this.getRemindInfo();
  },

  methods: {
    async getRemindInfo() {
      const [, res] = await getRemind({});

      if (res) {
        this.setData({
          remindInfo: res
        });
      }
    }

  }
}));